Received unknown WMI event messages with Dell Latitude XT2

Bug #581312 reported by Mark Shuttleworth on 2010-05-16
44
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Seth Forshee
Maverick
Undecided
Seth Forshee
Natty
Undecided
Seth Forshee
Oneiric
Undecided
Seth Forshee
Precise
Medium
Seth Forshee

Bug Description

== SRU Justification ==

Impact: Many Dell systems send WMI events that are unknown to the dell-wmi driver, and in response dell-wmi prints a "Received unknwon WMI event ..." message. This is harmless; some minimal functionality may be missing from not knowing how to interpret the events, but there is no problem with leaving the events unprocessed. However, the messages can clutter up the kernel logs and can also cause users to fear that there is a problem with their system.

Fix: Demote these messages to pr_debug until we know how to handle them, causing them to no longer be printed by default.

Test Case: Using a patched driver results in the messages no longer appearing in the kernel log.

---

On a Dell Latitude XT2 (tablet PC with N-Trig touch screen) I see a constant stream of messages in syslog like this:

... kernel: [timestamp] [host]: Unknown key fee6 pressed
... kernel: [timestamp] [host]: Unknown key fee7 pressed
... kernel: [timestamp] [host]: Unknown key fee9 pressed
... kernel: [timestamp] [host]: Unknown key fee8 pressed
... kernel: [timestamp] [host]: Unknown key ffd0 pressed
... kernel: [timestamp] [host]: Unknown key fee6 pressed
... kernel: [timestamp] [host]: Unknown key fee8 pressed
... kernel: [timestamp] [host]: Unknown key fee9 pressed
... kernel: [timestamp] [host]: Unknown key 11 pressed
... kernel: [timestamp] [host]: Unknown key ffd1 pressed
... kernel: [timestamp] [host]: Unknown key e048 pressed

There is no keyboard or mouse activity, but the messages still keep coming. They seem to come at random, sometimes one every second or so, sometimes there's a gap of 15-30 seconds between the messages. But they don't every seem to stop completely.

I *think* the laptop has an accelerometer, and I've noticed that picking the laptop up and moving it around seems to generate some activity.

Any suggestions?

Mark
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: mark 1990 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6adc000 irq 21'
   Mixer name : 'IDT 92HD71B7X'
   Components : 'HDA:111d76b2,10280252,00100302'
   Controls : 20
   Simple ctrls : 12
Card1.Amixer.info:
 Card hw:1 'Audio'/'Promethean Promethean USB Audio at usb-0000:00:1d.7-6.4.4.3, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB0d48:0100'
   Controls : 10
   Simple ctrls : 6
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=2df0457c-346c-4a57-8c2f-131995f4ddc2
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100304)
MachineType: Dell Inc. Latitude XT2
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=f1cd1988-b5c2-4d32-91e6-51db4c2aa6b9 ro quiet splash
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Regression: No
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
Tags: lucid needs-upstream-testing
Uname: Linux 2.6.32-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 12/22/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0M373P
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd12/22/2009:svnDellInc.:pnLatitudeXT2:pvr:rvnDellInc.:rn0M373P:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude XT2
dmi.sys.vendor: Dell Inc.

Mark Shuttleworth (sabdfl) wrote :

CC'ing Martin, because I know he's worked on keyboard handling and scancodes before, and I know he'll be working on Dell bits in this cycle too :-) Thanks Martin for any ideas.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Mark,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 581312

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Mark,
    Thanks for the additional information. i have this one on my list for the team to look at and discuss. I've marked it triaged to that end and I will be updating the importance once the overall impact has been assessed.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Triaged

Hi Mark,
   We'd like to get the results of "sudo lsinput" to see what shows up as an input device. lsinput is from input-utils, so that will need to be installed to get the results. From conversation, and for the time being, I am setting the Importance to medium.

Thanks!

~JFo

Changed in linux (Ubuntu):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :

So from looking at http://launchpadlibrarian.net/48618312/UdevDb.txt, there are several input devices which look a bit perculiar and could emit this:

P: /devices/pci0000:00/0000:00:1d.1/usb7/7-2/7-2:1.1/input/input6
E: NAME="N-Trig Pen"
E: ID_INPUT_TABLET=1

This is recognized as a mouse and tablet.

P: /devices/pci0000:00/0000:00:1d.1/usb7/7-2/7-2:1.1/input/input7
E: NAME="N-Trig MultiTouch"
E: ID_INPUT_TOUCHSCREEN=1

This is likely the touchscreen.

P: /devices/pci0000:00/0000:00:1d.1/usb7/7-2/7-2:1.1/input/input8
E: NAME="N-Trig Touchscreen"
E: ID_INPUT_TOUCHSCREEN=1

Hm, why is it detected as two different devices? Jeremy, any idea?

P: /devices/virtual/input/input14
E: NAME="Promethean Limited ACTIVboard"
E: ID_INPUT_TABLET=1
E: ID_INPUT.tags=promethean

I have no idea what that one is, it acts as another mouse.

I don't see any input product name which sounds like "accelerometer", maybe this hides behind the promethean thing or the mysterious double N-Trig touchscreen? Also, it seems weird to me that an accelerometer sends EV_KEY events, I'd rather expect EV_ABS or at least EV_REL, i. e. movements and axis posititions, not key events.

Aside from the ones I quoted above, you also have a range of audio devices which provide input devices for jack sensing. Perhaps one of those goes crazy, too.

Mark, what would help here is to find out which input devices actually spits out those events. For this, you can run

  sudo /lib/udev/keymap -i input/eventX

with X from 0 to 16 on your system, then wiggle the laptop as you did before, and check which one generates those events.

Unfortunately it's likely that the assignment of event device numbers changes across reboots, so if you rebooted your laptop since then, you can only try (or check lsinput for the ones from above). Once you found the correct X, please copy&paste the output of

  udevadm info --attribute-walk --name=input/eventX

Thanks!

On 19/05/10 10:19, Martin Pitt wrote:
> P: /devices/virtual/input/input14
> E: NAME="Promethean Limited ACTIVboard"
> E: ID_INPUT_TABLET=1
> E: ID_INPUT.tags=promethean
>
> I have no idea what that one is, it acts as another mouse.
>

This is a completely different device. I'll remove it for the moment to
ensure the issue is not related to that.

I've attached the output of lsinput. I can confirm the issue continues without the Promethean device attached, too.

The folks who have been working on Multitouch, like Chase and Rafi,
might have seen this, as I think they've worked on the Dell XT2 themselves.

Mark

Mark,
   I've asked Chase to have a look at this when he is available. The conversation around the kernel table seemed to focus on whether we detected the accelerometer correctly, but I must rely on others as my knowledge in that direction is hopelessly thin currently.

pitti,
   I am not sure why that one is detected as two. I'm asking about that now in the #ubuntu-kernel channel to see what thoughts there are on it.

~JFo

Chase Douglas (chasedouglas) wrote :

This message is coming from the dell-wmi driver, which enables extra hotkey functionality. I am guessing that the following patch, which did not make it into 10.04 LTS, will fix the issue:

http://git.kernel.org/?p=linux/kernel/git/mjg59/platform-drivers-x86.git;a=commitdiff;h=5ea2559726b786283236835dc2905c23b36ac91c

I'll build a test kernel with this patch tomorrow.

Changed in linux (Ubuntu):
assignee: nobody → Chase Douglas (chasedouglas)

I'll be happy to test the kernel when it's built.

Mark,

Please install and test the kernel at http://people.canonical.com/~cndougla/581312/.

Thanks

Mark Shuttleworth (sabdfl) wrote :

Hi folks

The kernel boots just fine. Interestingly, the errors now look like this:

May 21 08:32:21 mark-touch kernel: [ 249.189924] dell-wmi: Received unknown WMI event (0x11)
May 21 08:32:27 mark-touch kernel: [ 255.696632] dell-wmi: Received unknown WMI event (0x11)
May 21 08:32:29 mark-touch kernel: [ 257.201373] dell-wmi: Received unknown WMI event (0x11)
May 21 08:32:54 mark-touch kernel: [ 282.234520] dell-wmi: Received unknown WMI event (0x11)

Any suggestions?
Mark

Chase Douglas (chasedouglas) wrote :

Mark,

It seems the dell-wmi driver does not have support for this machine yet. Jerone is going to take a look at this next week since he has access to this hardware.

OK, thanks Chase. Does the fact that the message has changed mean that
more of the events are at least being parsed?

Mark,

I didn't fully read through the source since I don't know exactly what is being sent to the wmi driver. What's printed out is just two bytes of a multibyte sequence. I am guessing that the new patch probably isn't helping much. That said, any changes we make on top of the driver may need to be based upon the commit I rolled into the test kernel, since it may have some necessary bits, and upstream would want that as well.

Hey guys,
      Doesn't appear I will get time to look into this issue. Also there apparently are not many Latitude XT2s around Dell Austin (very high ticket items are not as prevalent .. though still trying to track one down). Even if we do get a hold of one, with the current deliverables & traveling for the next month, couldn't look into this till July.

summary: - Unknown key fee[x] pressed
+ Unknown key fee[x] pressed with Dell Latitude XT2
Jerone Young (jerone) wrote :

Just got word there are no Latitude XT2 around Dell Austin to test with.

Hi folks,

I'm not sure if anybody is still interested in this, I found it googling around to get my XT2 Special Keys working....

Most of the keycodes Mark mentioned above (fee*) seem to get "pressed" by the brightness sensor (located left of the status leds). But I also get keycodes for things like closing and opening lid in tablet-mode, but I couldn't find out how to use them.
If anybody is still on this, I would be glad to help.

CKB

morii (piotr-bliszczyk) wrote :

Hi, I'm using dell e6400(with 10.10) and i'm getting too these errors
(dell-wmi: Received unknown WMI event (0x11))
when i'm pressing some fn keys(fn+F8)

Mei (ddouthitt) wrote :

I saw this error from dell-wmi also. The system is a Lattitude e6400 and the "unknown WMI event" happened repeatedly (a dozen times) overnight.

Doing a Fn+F8 (which changed the video from two screens to one screen to a duplicate screen back to two screens again) I got these errors:

Apr 1 09:30:23 winry kernel: [260556.557580] Skipping EDID probe due to cached edid
Apr 1 09:30:23 winry kernel: [260557.230789] Skipping EDID probe due to cached edid
Apr 1 09:30:24 winry kernel: [260558.266557] dell-wmi: Received unknown WMI event (0x11)

Sometimes the "Skipping EDID" error was double, mostly just singles entries before each unknown WMI event.

The system is studiously kept up to date and is Ubuntu 10.10:

$ uname -a
Linux winry 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:40:58 UTC 2011 i686 GNU/Linux

Mei (ddouthitt) wrote :

By the way - I just added a iSCSI volume to the aforementioned system, as well as a first attempt at installing CLVM. Perhaps this has something to do with it? The iSCSI volume was configured with LVM and XFS then mounted and unmounted. The volume was enlarged (using LVM and XFS tools) then dismounted.

I doubt iSCSI is a factor. I'm still seeing the error message with
2.6.38 on 11.04beta.

Hello,

This bug has been open for some time and hasn't been commented on recently. It would be good to get an update, so we know if this bug is still valid.

Are you still running Natty on this machine, Mark? Or have you upgraded to a newer release? It would be good to know if this is still an issue on Natty, or if it persists in Oneiric.

tags: added: kernel-da-key natty
removed: kj-triage needs-kernel-logs needs-upstream-testing
Changed in linux (Ubuntu):
assignee: Chase Douglas (chasedouglas) → nobody

I cannot see any "random" WMI-events in oneiric.

But i can still reproduce a

[TIME] dell_wmi: Received unknown WMI event (0x11)

opening display in tablet mode (every time i open/close in tablet mode) and

[TIME] dell_wmi: Received unknown WMI event (0xf)
[TIME] dell_wmi: Received unknown WMI event (0x11)

opening/closing the lid (notebook style).

I confirm I still see the unknown WMI event (0x11) with Oneiric.

Mark

tags: added: kernel-key oneiric

It sounds like the unknown key messages have been resolved. The unknown WMI event messages are just informational and are completely harmless; they indicate that the BIOS is providing some data that dell-wmi doesn't know how to process, but leaving these events unprocessed will not cause any problems. Dell has indicated that they plan to introduce support for these events upstream in the coming weeks.

What I'm going to do is disable the unknown WMI event message in our kernels by default to keep it from cluttering up the kernel log, since there's no compelling reason to SRU the event support to old kernels. I'll also be on the lookout for Dell's patches to support these events and backport them to precise if they're available in time.

Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
status: Triaged → In Progress
summary: - Unknown key fee[x] pressed with Dell Latitude XT2
+ Received unknown WMI event messages with Dell Latitude XT2
description: updated
tags: removed: kernel-key
Tim Gardner (timg-tpi) on 2011-12-09
Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
Changed in linux (Ubuntu Maverick):
assignee: nobody → Seth Forshee (sforshee)
Changed in linux (Ubuntu Natty):
assignee: nobody → Seth Forshee (sforshee)
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Seth Forshee (sforshee)
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-4.10

---------------
linux (3.2.0-4.10) precise; urgency=low

  [ Kyle McMartin ]

  * SAUCE: dmar: disable if ricoh multifunction detected
    - LP: #894070

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Tim Gardner ]

  * Start new release, Bump ABI, rebase to 3.2-rc5

  [ Leann Ogasawara ]

  * [Config] Enable CONFIG_SENSORS_AK8975=m
 -- Tim Gardner <email address hidden> Sat, 10 Dec 2011 08:57:04 -0700

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-15.24). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Kent Baxley (kentb) wrote :

Tested with a Dell Latitude that was logging these errors constantly. I no longer get these with the proposed kernel. Thanks!

Kent Baxley (kentb) wrote :

More specifically, I was getting the "unknown dell_wmi event 0x11" errors all of the time. Those are now gone with this kernel.

Seth Forshee (sforshee) on 2011-12-14
tags: added: verification-done-oneiric
removed: verification-needed-oneiric
tags: added: blocks-hwcert-enablement
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Maverick and Natty in -proposed solves the problem (2.6.35-32.64 and 2.6.38-13.54). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-<series>' to 'verification-done-<series>' (<series> being natty or maverick).

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-maverick verification-needed-natty
Herton R. Krzesinski (herton) wrote :

Simple patch that got already verified on oneiric, marking verification-done. In case there is any problem please report back here, thanks.

tags: added: verification-done-maverick verification-done-natty
removed: verification-needed-maverick verification-needed-natty
Launchpad Janitor (janitor) wrote :
Download full text (13.9 KiB)

This bug was fixed in the package linux - 3.0.0-15.25

---------------
linux (3.0.0-15.25) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #910894

  [ Upstream Kernel Changes ]

  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux (3.0.0-15.24) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #903188

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Chase Douglas ]

  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
    - LP: #893741
  * block: Always check length of all iov entries in blk_rq_map_user_iov()
    - LP: #893741
  * Linux 3.0.10
    - LP: #893741
  * drm/i915: add multi-threaded forcewake support
    - LP: #891270
  * (pre-sta...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (16.6 KiB)

This bug was fixed in the package linux - 2.6.35-32.64

---------------
linux (2.6.35-32.64) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #910919

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "Revert "xen: set max_pfn_mapped to the last pfn mapped""
    - LP: #898139
  * Revert "core: Fix memory leak/corruption on VLAN GRO_DROP,
    CVE-2011-1576"
    - LP: #844361
  * kbuild: Disable -Wunused-but-set-variable for gcc 4.6.0
    - LP: #898139
  * kbuild: Fix passing -Wno-* options to gcc 4.4+
    - LP: #898139
  * maintainer
    - LP: #898139
  * Remove the old V4L1 v4lgrab.c file
    - LP: #898139
  * i8k: Tell gcc that *regs gets clobbered
    - LP: #898139
  * Fix gcc 4.5.1 miscompiling drivers/char/i8k.c (again)
    - LP: #898139
  * USB: serial/usb_wwan, fix tty NULL dereference
    - LP: #898139
  * ipv6: add special mode accept_ra=2 to accept RA while configured as
    router
    - LP: #898139
  * set memory ranges in N_NORMAL_MEMORY when onlined
    - LP: #898139
  * FLEXCOP-PCI: fix __xlate_proc_name-warning for flexcop-pci
    - LP: #898139
  * m68k/mm: Set all online nodes in N_NORMAL_MEMORY
    - LP: #898139
  * nfs: don't lose MS_SYNCHRONOUS on remount of noac mount
    - LP: #898139
  * NFSv4.1: Ensure state manager thread dies on last umount
    - LP: #898139
  * Input: xen-kbdfront - fix mouse getting stuck after save/restore
    - LP: #898139
  * pmcraid: reject negative request size
    - LP: #898139
  * mmc: sdhci-pci: Fix error case in sdhci_pci_probe_slot()
    - LP: #898139
  * mmc: sdhci: Check mrq->cmd in sdhci_tasklet_finish
    - LP: #898139
  * mmc: sdhci: Check mrq != NULL in sdhci_tasklet_finish
    - LP: #898139
  * USB: fix regression in usbip by setting has_tt flag
    - LP: #898139
  * ARM: 6891/1: prevent heap corruption in OABI semtimedop
    - LP: #898139
  * Open with O_CREAT flag set fails to open existing files on non writable
    directories
    - LP: #898139
  * Input: elantech - discard the first 2 positions on some firmwares
    - LP: #898139
  * Staging: rtl8192su: Clean up in case of an error in module
    initialisation
    - LP: #898139
  * Staging: rtl8192su: Fix procfs code for interfaces not named wlan0
    - LP: #898139
  * USB: teach "devices" file about Wireless and SuperSpeed USB
    - LP: #898139
  * SUNRPC: fix NFS client over TCP hangs due to packet loss (Bug 16494)
    - LP: #898139
  * nfs: fix compilation warning
    - LP: #898139
  * Increase OSF partition limit from 8 to 18
    - LP: #898139
  * hwmon: (applesmc) Add MacBookAir3,1(3,2) support
    - LP: #898139
  * ALSA: emux: Add trivial compat ioctl handler
    - LP: #898139
  * ALSA: hda - MacBookPro 5,3 line-in support
    - LP: #898139
  * ALSA: hda - Add model=mbp55 entry for MacBookPro 7,1
    - LP: #898139
  * ALSA: hda - MacBookAir3,1(3,2) alsa support
    - LP: #898139
  * Bluetooth: Add support Bluetooth controller of MacbookPro 6,2
    - LP: #898139
  * Bluetooth: Add support Bluetooth controller of MacbookPro 7,1
    - LP: #898139
  * Bluetooth: Add MacBookAir3,1(2) suppor...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.54

---------------
linux (2.6.38-13.54) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #911195

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Paolo Pisati ]

  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * VFS: Fix vfsmount overput on simultaneous automount
    - LP: #769927
  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369
    - CVE-2011-4110
  * nfsd4: permit read opens of executable-only files
    - LP: #833300
  * Support for Terratec G1
    - LP: #821061
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 03 Jan 2012 10:03:15 -0200

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers